uniform sampler2D tex;

varying vec4 uv;
varying vec4 color;

void main(void)
{
	vec4 c = texture2D(tex, vec2(uv[0], uv[1]));
	if(c.a < 0.1) c.a += 0.5;
	else c = vec4(2.0, 2.0, 2.0, 2.0);
	gl_FragColor = color * c;
}
